#!/usr/bin/sh
case $LANG in
  ca*)      lang=ca;;
  cs*)      lang=cs;;
  de*)      lang=de;;
  el*)      lang=el;;
  en*)      lang=en;;
  eo*)      lang=eo;;
  es*)      lang=es;;
  et*)      lang=et;;
  eu*)      lang=eu;;
  fr*)      lang=fr;;
  hr*)      lang=hr;;
  id*)      lang=id;;
  it*)      lang=it;;
  ja*)      lang=ja;;
  nb*)      lang=nb;;
  nl*)      lang=nl;;
  pl*)      lang=pl;;
  pt_BR*)   lang=pt_br;;
  ro*)      lang=ro;;
  ru*)      lang=ru;;
  sk*)      lang=sk;;
  sl*)      lang=sl;;
  sq*)      lang=sq;;
  sv*)      lang=sv;;
  tr*)      lang=tr;;
  uk*)      lang=uk;;
  zh_CN*)   lang=zh_CN;;
  *)        lang=en;;
esac
docbase=/usr/share/doc/mageia
if [ -r $docbase/$lang/$1/index.html ] ; then
  /usr/bin/www-browser $docbase/$lang/$1/index.html
elif [ -r $docbase/en/$1/index.html ] ; then
  /usr/bin/www-browser $docbase/en/$1/index.html
else
  index=`ls -1 $docbase/*/$1/index.html | head -1`
  if [ -r $index ] ; then
    /usr/bin/www-browser $index
  fi
fi
 
